質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
86.12%
Windows 10

Windows 10は、マイクロソフト社がリリースしたOSです。Modern UIを標準画面にした8.1から、10では再びデスクトップ主体に戻され、UIも変更されています。PCやスマホ、タブレットなど様々なデバイスに幅広く対応していることが特徴です。

Chainer

Chainerは、国産の深層学習フレームワークです。あらゆるニューラルネットワークをPythonで柔軟に書くことができ、学習させることが可能。GPUをサポートしており、複数のGPUを用いた学習も直感的に記述できます。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

解決済

CuPy: Not Availableとなってしまう

RyosuK.S
RyosuK.S

総合スコア43

Windows 10

Windows 10は、マイクロソフト社がリリースしたOSです。Modern UIを標準画面にした8.1から、10では再びデスクトップ主体に戻され、UIも変更されています。PCやスマホ、タブレットなど様々なデバイスに幅広く対応していることが特徴です。

Chainer

Chainerは、国産の深層学習フレームワークです。あらゆるニューラルネットワークをPythonで柔軟に書くことができ、学習させることが可能。GPUをサポートしており、複数のGPUを用いた学習も直感的に記述できます。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

2回答

0リアクション

0クリップ

145閲覧

投稿2022/09/16 13:47

前提

windowsでchainerの環境設定をしており、anacondaのインストール、CUDA, CUDA Toolkit, cuDNNのインストールが終わり、cupyをインストール後にchainerをインストールしました。
しかし、以下のようにimport cupyではエラーが出ないのですが、chainer.print_runtime_info()ではcupyがnot availableとなっています。
どのようにすれば解決できるのでしょうか。

>>> import cupy >>> import chainer >>> chainer.print_runtime_info() Platform: Windows-10-10.0.17763-SP0 Chainer: 4.5.0 NumPy: 1.21.5 CuPy: Not Available

補足情報(FW/ツールのバージョンなど)

OS:Windows 10
Python 3.8.13
cudaのバージョンは11.7
Visual C++ Build ToolsはBuild Tools for Visual Studio 2022からインストールしました。

以下のような質問にはリアクションをつけましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

リアクションが多い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

下記のような質問は推奨されていません。

  • 間違っている
  • 質問になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

適切な質問に修正を依頼しましょう。

jbpb0

2022/09/17 00:23 編集

> Chainer: 4.5.0 4.5.0ってかなり古いものですが、 https://pypi.org/project/chainer/4.5.0/ それを入れないといけない理由があるのでしょうか? > cupyをインストール後にchainerをインストールしました。 インストールしたcupyのバージョンはいくつでしょうか? https://docs.chainer.org/en/stable/install.html#hardware-acceleration-support の「Hardware Acceleration Support」の「Note」に 「CuPy v7.8.0 is the recommended version for Chainer v7 series.」 と書かれてることから、それよりも新しいのを入れたら、chainerとの組み合わせではうまく動かないのかもしれません > cudaのバージョンは11.7 chainer用に推奨されてるcupy 7.8.0では、 https://docs.cupy.dev/en/v7.8.0/install.html#requirements の「Requirements」を見ると、サポートされてるのはcuda 11.0までです (それよりも新しいのではテストされてないだけで、使えるかもしれませんが) 【追記】 まずは一旦、 ・chainerの最新版(現時点では7.8.1) https://pypi.org/project/chainer/ ・chainer用に推奨されてるcupy 7.8.0 https://docs.chainer.org/en/stable/install.html#hardware-acceleration-support ・cupy 7.8.0がサポートしてるcudaのバージョン(8.0, 9.0, 9.1, 9.2, 10.0, 10.1, 10.2, 11.0)のどれか https://docs.cupy.dev/en/v7.8.0/install.html#requirements の組み合わせを入れて、それでうまく動くかを確認してみたら、いかがでしょうか 上記の組み合わせなら大丈夫なら、そこから一つずつ使いたいバージョンに変えて、それでも大丈夫かを確認したらいいと思います 何かを変えてダメになったら、その組み合わせでは使えないのでしょう
meg_

2022/09/16 22:55

GPUは何でしょうか?
jbpb0

2022/09/17 00:45

cupyを(chainerを使わず)単独で使うことは、できるのでしょうか? たとえば、 https://tsukisuke.hateblo.jp/entry/2022/05/31/093304 の「使ってみる」のcupyのコードや、 https://self-development.info/numpy%E3%83%BBscipy%E9%AB%98%E9%80%9F%E5%8C%96%E3%81%AE%E3%81%9F%E3%82%81%E3%81%ABcupy%E3%81%AE%E3%82%A4%E3%83%B3%E3%82%B9%E3%83%88%E3%83%BC%E3%83%AB%E3%80%90python%E3%80%91/ の「CuPyの動作確認」のcupyのコードは、正常に実行できますでしょうか?

まだ回答がついていません

会員登録して回答してみよう

アカウントをお持ちの方は

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
86.12%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Windows 10

Windows 10は、マイクロソフト社がリリースしたOSです。Modern UIを標準画面にした8.1から、10では再びデスクトップ主体に戻され、UIも変更されています。PCやスマホ、タブレットなど様々なデバイスに幅広く対応していることが特徴です。

Chainer

Chainerは、国産の深層学習フレームワークです。あらゆるニューラルネットワークをPythonで柔軟に書くことができ、学習させることが可能。GPUをサポートしており、複数のGPUを用いた学習も直感的に記述できます。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。